<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>AbstractPlayerActor (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractPlayerActor (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlatform.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html" target="_top">Frames</a></li>
<li><a href="AbstractPlayerActor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extension.platform</div>
<h2 title="Class AbstractPlayerActor" class="title">Class AbstractPlayerActor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.extension.platform.AbstractPlayerActor</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>, <a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>, <a href="../../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>, <a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html" title="interface in com.sk89q.worldedit.util.auth">Subject</a>, <a href="../../../../../com/sk89q/worldedit/util/Faceted.html" title="interface in com.sk89q.worldedit.util">Faceted</a>, <a href="../../../../../com/sk89q/worldedit/util/Identifiable.html" title="interface in com.sk89q.worldedit.util">Identifiable</a>, java.lang.Cloneable</dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractPlayerActor</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>, <a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>, java.lang.Cloneable</pre>
<div class="block">An abstract implementation of both a <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform"><code>Actor</code></a> and a <a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity"><code>Player</code></a>
 that is intended for implementations of WorldEdit to use to wrap
 players that make use of WorldEdit.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#AbstractPlayerActor--">AbstractPlayerActor</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#ascendLevel--">ascendLevel</a></span>()</code>
<div class="block">Go up one level to the next free space above.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#ascendToCeiling-int-">ascendToCeiling</a></span>(int&nbsp;clearance)</code>
<div class="block">Ascend to the ceiling above.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#ascendToCeiling-int-boolean-">ascendToCeiling</a></span>(int&nbsp;clearance,
               boolean&nbsp;alwaysGlass)</code>
<div class="block">Ascend to the ceiling above.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#ascendUpwards-int-">ascendUpwards</a></span>(int&nbsp;distance)</code>
<div class="block">Just go up.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#ascendUpwards-int-boolean-">ascendUpwards</a></span>(int&nbsp;distance,
             boolean&nbsp;alwaysGlass)</code>
<div class="block">Just go up.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#canDestroyBedrock--">canDestroyBedrock</a></span>()</code>
<div class="block">Returns true if the actor can destroy bedrock.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#checkPermission-java.lang.String-">checkPermission</a></span>(java.lang.String&nbsp;permission)</code>
<div class="block">Check whether this subject has been granted the given permission
 and throw an exception on error.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#clone--">clone</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#descendLevel--">descendLevel</a></span>()</code>
<div class="block">Go up one level to the next free space above.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#dispatchCUIEvent-com.sk89q.worldedit.internal.cui.CUIEvent-">dispatchCUIEvent</a></span>(<a href="../../../../../com/sk89q/worldedit/internal/cui/CUIEvent.html" title="interface in com.sk89q.worldedit.internal.cui">CUIEvent</a>&nbsp;event)</code>
<div class="block">Send a CUI event.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;other)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#findFreePosition--">findFreePosition</a></span>()</code>
<div class="block">Find a position for the player to stand that is not inside a block.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#findFreePosition-com.sk89q.worldedit.util.Location-">findFreePosition</a></span>(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;searchPos)</code>
<div class="block">Find a position for the actor to stand that is not inside a block.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#floatAt-int-int-int-boolean-">floatAt</a></span>(int&nbsp;x,
       int&nbsp;y,
       int&nbsp;z,
       boolean&nbsp;alwaysGlass)</code>
<div class="block">Make the player float in the given blocks.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getBlockIn--">getBlockIn</a></span>()</code>
<div class="block">Get the point of the block that is being stood in.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getBlockInHand-com.sk89q.worldedit.util.HandSide-">getBlockInHand</a></span>(<a href="../../../../../com/sk89q/worldedit/util/HandSide.html" title="enum in com.sk89q.worldedit.util">HandSide</a>&nbsp;handSide)</code>
<div class="block">Get the Block that the player is holding.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getBlockOn--">getBlockOn</a></span>()</code>
<div class="block">Get the point of the block that is being stood upon.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getBlockTrace-int-">getBlockTrace</a></span>(int&nbsp;range)</code>
<div class="block">Get the point of the block being looked at.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getBlockTrace-int-boolean-">getBlockTrace</a></span>(int&nbsp;range,
             boolean&nbsp;useLastBlock)</code>
<div class="block">Get the point of the block being looked at.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getBlockTrace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">getBlockTrace</a></span>(int&nbsp;range,
             boolean&nbsp;useLastBlock,
             <a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;stopMask)</code>
<div class="block">Get the point of the block being looked at.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getBlockTraceFace-int-boolean-">getBlockTraceFace</a></span>(int&nbsp;range,
                 boolean&nbsp;useLastBlock)</code>
<div class="block">Get the face that the player is looking at.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getBlockTraceFace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">getBlockTraceFace</a></span>(int&nbsp;range,
                 boolean&nbsp;useLastBlock,
                 <a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;stopMask)</code>
<div class="block">Get the face that the player is looking at.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getCardinalDirection--">getCardinalDirection</a></span>()</code>
<div class="block">Get the player's cardinal direction (N, W, NW, etc.).</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getCardinalDirection-int-">getCardinalDirection</a></span>(int&nbsp;yawOffset)</code>
<div class="block">Get the player's cardinal direction (N, W, NW, etc.) with an offset.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getExtent--">getExtent</a></span>()</code>
<div class="block">Get the extent that this entity is on.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/gamemode/GameMode.html" title="class in com.sk89q.worldedit.world.gamemode">GameMode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getGameMode--">getGameMode</a></span>()</code>
<div class="block">Return this actor's game mode.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#getSolidBlockTrace-int-">getSolidBlockTrace</a></span>(int&nbsp;range)</code>
<div class="block">Get the point of the block being looked at.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#isHoldingPickAxe--">isHoldingPickAxe</a></span>()</code>
<div class="block">Returns true if the entity is holding a pick axe.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#isPlayer--">isPlayer</a></span>()</code>
<div class="block">Return whether this actor is a player.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#openFileOpenDialog-java.lang.String:A-">openFileOpenDialog</a></span>(java.lang.String[]&nbsp;extensions)</code>
<div class="block">Open a file open dialog.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#openFileSaveDialog-java.lang.String:A-">openFileSaveDialog</a></span>(java.lang.String[]&nbsp;extensions)</code>
<div class="block">Open a file save dialog.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#passThroughForwardWall-int-">passThroughForwardWall</a></span>(int&nbsp;range)</code>
<div class="block">Get the player's view yaw.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#remove--">remove</a></span>()</code>
<div class="block">Remove this entity from it container.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>&lt;B extends <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;<br>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#sendFakeBlock-com.sk89q.worldedit.math.BlockVector3-B-">sendFakeBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos,
             B&nbsp;block)</code>
<div class="block">Sends a fake block to the client.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#setGameMode-com.sk89q.worldedit.world.gamemode.GameMode-">setGameMode</a></span>(<a href="../../../../../com/sk89q/worldedit/world/gamemode/GameMode.html" title="class in com.sk89q.worldedit.world.gamemode">GameMode</a>&nbsp;gameMode)</code>
<div class="block">Sets the player to the given game mode.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#setOnGround-com.sk89q.worldedit.util.Location-">setOnGround</a></span>(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;searchPos)</code>
<div class="block">Set the actor on the ground.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html#setPosition-com.sk89q.worldedit.math.Vector3-">setPosition</a></span>(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pos)</code>
<div class="block">Move the player.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.entity.Player">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.entity.<a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getInventoryBlockBag--">getInventoryBlockBag</a>, <a href="../../../../../com/sk89q/worldedit/entity/Player.html#getItemInHand-com.sk89q.worldedit.util.HandSide-">getItemInHand</a>, <a href="../../../../../com/sk89q/worldedit/entity/Player.html#getWorld--">getWorld</a>, <a href="../../../../../com/sk89q/worldedit/entity/Player.html#giveItem-com.sk89q.worldedit.blocks.BaseItemStack-">giveItem</a>, <a href="../../../../../com/sk89q/worldedit/entity/Player.html#setPosition-com.sk89q.worldedit.math.Vector3-float-float-">setPosition</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.entity.Entity">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.entity.<a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/entity/Entity.html#getLocation--">getLocation</a>, <a href="../../../../../com/sk89q/worldedit/entity/Entity.html#getState--">getState</a>, <a href="../../../../../com/sk89q/worldedit/entity/Entity.html#setLocation-com.sk89q.worldedit.util.Location-">setLocation</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.Faceted">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.util.<a href="../../../../../com/sk89q/worldedit/util/Faceted.html" title="interface in com.sk89q.worldedit.util">Faceted</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/util/Faceted.html#getFacet-java.lang.Class-">getFacet</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extension.platform.Actor">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#getDisplayName--">getDisplayName</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#getName--">getName</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#print-com.sk89q.worldedit.util.formatting.text.Component-">print</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#print-java.lang.String-">print</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#printDebug-java.lang.String-">printDebug</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#printError-java.lang.String-">printError</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#printRaw-java.lang.String-">printRaw</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.Identifiable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.util.<a href="../../../../../com/sk89q/worldedit/util/Identifiable.html" title="interface in com.sk89q.worldedit.util">Identifiable</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/util/Identifiable.html#getUniqueId--">getUniqueId</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.session.SessionOwner">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.session.<a href="../../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/session/SessionOwner.html#getSessionKey--">getSessionKey</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractPlayerActor--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractPlayerActor</h4>
<pre>public&nbsp;AbstractPlayerActor()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getExtent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtent</h4>
<pre>public final&nbsp;<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;getExtent()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Entity.html#getExtent--">Entity</a></code></span></div>
<div class="block">Get the extent that this entity is on.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Entity.html#getExtent--">getExtent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the extent</dd>
</dl>
</li>
</ul>
<a name="isHoldingPickAxe--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHoldingPickAxe</h4>
<pre>public&nbsp;boolean&nbsp;isHoldingPickAxe()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#isHoldingPickAxe--">Player</a></code></span></div>
<div class="block">Returns true if the entity is holding a pick axe.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#isHoldingPickAxe--">isHoldingPickAxe</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether a pick axe is held</dd>
</dl>
</li>
</ul>
<a name="findFreePosition-com.sk89q.worldedit.util.Location-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findFreePosition</h4>
<pre>public&nbsp;void&nbsp;findFreePosition(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;searchPos)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#findFreePosition-com.sk89q.worldedit.util.Location-">Player</a></code></span></div>
<div class="block">Find a position for the actor to stand that is not inside a block.
 Blocks above the player will be iteratively tested until there is
 a series of two free blocks. The actor will be teleported to
 that free position.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#findFreePosition-com.sk89q.worldedit.util.Location-">findFreePosition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>searchPos</code> - search position</dd>
</dl>
</li>
</ul>
<a name="setOnGround-com.sk89q.worldedit.util.Location-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOnGround</h4>
<pre>public&nbsp;void&nbsp;setOnGround(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;searchPos)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#setOnGround-com.sk89q.worldedit.util.Location-">Player</a></code></span></div>
<div class="block">Set the actor on the ground.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#setOnGround-com.sk89q.worldedit.util.Location-">setOnGround</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>searchPos</code> - The location to start searching from</dd>
</dl>
</li>
</ul>
<a name="findFreePosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findFreePosition</h4>
<pre>public&nbsp;void&nbsp;findFreePosition()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#findFreePosition--">Player</a></code></span></div>
<div class="block">Find a position for the player to stand that is not inside a block.
 Blocks above the player will be iteratively tested until there is
 a series of two free blocks. The player will be teleported to
 that free position.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#findFreePosition--">findFreePosition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
</dl>
</li>
</ul>
<a name="ascendLevel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ascendLevel</h4>
<pre>public&nbsp;boolean&nbsp;ascendLevel()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#ascendLevel--">Player</a></code></span></div>
<div class="block">Go up one level to the next free space above.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#ascendLevel--">ascendLevel</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a spot was found</dd>
</dl>
</li>
</ul>
<a name="descendLevel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descendLevel</h4>
<pre>public&nbsp;boolean&nbsp;descendLevel()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#descendLevel--">Player</a></code></span></div>
<div class="block">Go up one level to the next free space above.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#descendLevel--">descendLevel</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a spot was found</dd>
</dl>
</li>
</ul>
<a name="ascendToCeiling-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ascendToCeiling</h4>
<pre>public&nbsp;boolean&nbsp;ascendToCeiling(int&nbsp;clearance)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#ascendToCeiling-int-">Player</a></code></span></div>
<div class="block">Ascend to the ceiling above.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#ascendToCeiling-int-">ascendToCeiling</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clearance</code> - How many blocks to leave above the player's head</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the player was moved</dd>
</dl>
</li>
</ul>
<a name="ascendToCeiling-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ascendToCeiling</h4>
<pre>public&nbsp;boolean&nbsp;ascendToCeiling(int&nbsp;clearance,
                               boolean&nbsp;alwaysGlass)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#ascendToCeiling-int-boolean-">Player</a></code></span></div>
<div class="block">Ascend to the ceiling above.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#ascendToCeiling-int-boolean-">ascendToCeiling</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clearance</code> - How many blocks to leave above the player's head</dd>
<dd><code>alwaysGlass</code> - Always put glass under the player</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the player was moved</dd>
</dl>
</li>
</ul>
<a name="ascendUpwards-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ascendUpwards</h4>
<pre>public&nbsp;boolean&nbsp;ascendUpwards(int&nbsp;distance)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#ascendUpwards-int-">Player</a></code></span></div>
<div class="block">Just go up.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#ascendUpwards-int-">ascendUpwards</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>distance</code> - How far up to teleport</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the player was moved</dd>
</dl>
</li>
</ul>
<a name="ascendUpwards-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ascendUpwards</h4>
<pre>public&nbsp;boolean&nbsp;ascendUpwards(int&nbsp;distance,
                             boolean&nbsp;alwaysGlass)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#ascendUpwards-int-boolean-">Player</a></code></span></div>
<div class="block">Just go up.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#ascendUpwards-int-boolean-">ascendUpwards</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>distance</code> - How far up to teleport</dd>
<dd><code>alwaysGlass</code> - Always put glass under the player</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the player was moved</dd>
</dl>
</li>
</ul>
<a name="floatAt-int-int-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>floatAt</h4>
<pre>public&nbsp;void&nbsp;floatAt(int&nbsp;x,
                    int&nbsp;y,
                    int&nbsp;z,
                    boolean&nbsp;alwaysGlass)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#floatAt-int-int-int-boolean-">Player</a></code></span></div>
<div class="block">Make the player float in the given blocks.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#floatAt-int-int-int-boolean-">floatAt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - The X coordinate of the block to float in</dd>
<dd><code>y</code> - The Y coordinate of the block to float in</dd>
<dd><code>z</code> - The Z coordinate of the block to float in</dd>
</dl>
</li>
</ul>
<a name="getBlockIn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockIn</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockIn()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockIn--">Player</a></code></span></div>
<div class="block">Get the point of the block that is being stood in.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockIn--">getBlockIn</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getBlockOn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockOn</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockOn()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockOn--">Player</a></code></span></div>
<div class="block">Get the point of the block that is being stood upon.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockOn--">getBlockOn</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getBlockTrace-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTrace</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockTrace(int&nbsp;range,
                              boolean&nbsp;useLastBlock)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockTrace-int-boolean-">Player</a></code></span></div>
<div class="block">Get the point of the block being looked at. May return null.
 Will return the farthest away air block if useLastBlock is true and no other block is found.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockTrace-int-boolean-">getBlockTrace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - how far to checks for blocks</dd>
<dd><code>useLastBlock</code> - try to return the last valid air block found</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getBlockTraceFace-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTraceFace</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockTraceFace(int&nbsp;range,
                                  boolean&nbsp;useLastBlock)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockTraceFace-int-boolean-">Player</a></code></span></div>
<div class="block">Get the face that the player is looking at.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockTraceFace-int-boolean-">getBlockTraceFace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - the range</dd>
<dd><code>useLastBlock</code> - try to return the last valid air block found</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a face</dd>
</dl>
</li>
</ul>
<a name="getBlockTrace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTrace</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockTrace(int&nbsp;range,
                              boolean&nbsp;useLastBlock,
                              @Nullable
                              <a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;stopMask)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockTrace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">Player</a></code></span></div>
<div class="block">Get the point of the block being looked at. May return null.
 Will return the farthest away block before matching the stop mask if useLastBlock is true and no other block is found.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockTrace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">getBlockTrace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - how far to checks for blocks</dd>
<dd><code>useLastBlock</code> - try to return the last valid block not matching the stop mask found</dd>
<dd><code>stopMask</code> - the mask used to determine when to stop tracing</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getBlockTraceFace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTraceFace</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockTraceFace(int&nbsp;range,
                                  boolean&nbsp;useLastBlock,
                                  @Nullable
                                  <a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;stopMask)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockTraceFace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">Player</a></code></span></div>
<div class="block">Get the face that the player is looking at.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockTraceFace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">getBlockTraceFace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - the range</dd>
<dd><code>useLastBlock</code> - try to return the last valid block not matching the stop mask found</dd>
<dd><code>stopMask</code> - the mask used to determine when to stop tracing</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a face</dd>
</dl>
</li>
</ul>
<a name="getBlockTrace-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTrace</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockTrace(int&nbsp;range)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockTrace-int-">Player</a></code></span></div>
<div class="block">Get the point of the block being looked at. May return null.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockTrace-int-">getBlockTrace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - How far to checks for blocks</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getSolidBlockTrace-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSolidBlockTrace</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getSolidBlockTrace(int&nbsp;range)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getSolidBlockTrace-int-">Player</a></code></span></div>
<div class="block">Get the point of the block being looked at. May return null.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getSolidBlockTrace-int-">getSolidBlockTrace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - How far to checks for blocks</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getCardinalDirection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCardinalDirection</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&nbsp;getCardinalDirection()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getCardinalDirection--">Player</a></code></span></div>
<div class="block">Get the player's cardinal direction (N, W, NW, etc.). May return null.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getCardinalDirection--">getCardinalDirection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the direction</dd>
</dl>
</li>
</ul>
<a name="getCardinalDirection-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCardinalDirection</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&nbsp;getCardinalDirection(int&nbsp;yawOffset)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getCardinalDirection-int-">Player</a></code></span></div>
<div class="block">Get the player's cardinal direction (N, W, NW, etc.) with an offset. May return null.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getCardinalDirection-int-">getCardinalDirection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>yawOffset</code> - offset that is added to the player's yaw before determining the cardinal direction</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the direction</dd>
</dl>
</li>
</ul>
<a name="getBlockInHand-com.sk89q.worldedit.util.HandSide-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockInHand</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&nbsp;getBlockInHand(<a href="../../../../../com/sk89q/worldedit/util/HandSide.html" title="enum in com.sk89q.worldedit.util">HandSide</a>&nbsp;handSide)
                         throws <a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockInHand-com.sk89q.worldedit.util.HandSide-">Player</a></code></span></div>
<div class="block">Get the Block that the player is holding.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getBlockInHand-com.sk89q.worldedit.util.HandSide-">getBlockInHand</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the item id of the item the player is holding</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="passThroughForwardWall-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>passThroughForwardWall</h4>
<pre>public&nbsp;boolean&nbsp;passThroughForwardWall(int&nbsp;range)</pre>
<div class="block">Get the player's view yaw.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#passThroughForwardWall-int-">passThroughForwardWall</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - How far to checks for blocks</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>yaw</dd>
</dl>
</li>
</ul>
<a name="setPosition-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPosition</h4>
<pre>public&nbsp;void&nbsp;setPosition(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pos)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#setPosition-com.sk89q.worldedit.math.Vector3-">Player</a></code></span></div>
<div class="block">Move the player.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#setPosition-com.sk89q.worldedit.math.Vector3-">setPosition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pos</code> - where to move them</dd>
</dl>
</li>
</ul>
<a name="openFileOpenDialog-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openFileOpenDialog</h4>
<pre>public&nbsp;java.io.File&nbsp;openFileOpenDialog(java.lang.String[]&nbsp;extensions)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#openFileOpenDialog-java.lang.String:A-">Actor</a></code></span></div>
<div class="block">Open a file open dialog.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#openFileOpenDialog-java.lang.String:A-">openFileOpenDialog</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extensions</code> - null to allow all</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the selected file or null if something went wrong</dd>
</dl>
</li>
</ul>
<a name="openFileSaveDialog-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openFileSaveDialog</h4>
<pre>public&nbsp;java.io.File&nbsp;openFileSaveDialog(java.lang.String[]&nbsp;extensions)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#openFileSaveDialog-java.lang.String:A-">Actor</a></code></span></div>
<div class="block">Open a file save dialog.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#openFileSaveDialog-java.lang.String:A-">openFileSaveDialog</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extensions</code> - null to allow all</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the selected file or null if something went wrong</dd>
</dl>
</li>
</ul>
<a name="canDestroyBedrock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>canDestroyBedrock</h4>
<pre>public&nbsp;boolean&nbsp;canDestroyBedrock()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#canDestroyBedrock--">Actor</a></code></span></div>
<div class="block">Returns true if the actor can destroy bedrock.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#canDestroyBedrock--">canDestroyBedrock</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if bedrock can be broken by the actor</dd>
</dl>
</li>
</ul>
<a name="dispatchCUIEvent-com.sk89q.worldedit.internal.cui.CUIEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dispatchCUIEvent</h4>
<pre>public&nbsp;void&nbsp;dispatchCUIEvent(<a href="../../../../../com/sk89q/worldedit/internal/cui/CUIEvent.html" title="interface in com.sk89q.worldedit.internal.cui">CUIEvent</a>&nbsp;event)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#dispatchCUIEvent-com.sk89q.worldedit.internal.cui.CUIEvent-">Actor</a></code></span></div>
<div class="block">Send a CUI event.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#dispatchCUIEvent-com.sk89q.worldedit.internal.cui.CUIEvent-">dispatchCUIEvent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - the event</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;other)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="checkPermission-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkPermission</h4>
<pre>public&nbsp;void&nbsp;checkPermission(java.lang.String&nbsp;permission)
                     throws <a href="../../../../../com/sk89q/worldedit/util/auth/AuthorizationException.html" title="class in com.sk89q.worldedit.util.auth">AuthorizationException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html#checkPermission-java.lang.String-">Subject</a></code></span></div>
<div class="block">Check whether this subject has been granted the given permission
 and throw an exception on error.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html#checkPermission-java.lang.String-">checkPermission</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html" title="interface in com.sk89q.worldedit.util.auth">Subject</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>permission</code> - the permission</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/util/auth/AuthorizationException.html" title="class in com.sk89q.worldedit.util.auth">AuthorizationException</a></code> - thrown if not permitted</dd>
</dl>
</li>
</ul>
<a name="isPlayer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPlayer</h4>
<pre>public&nbsp;boolean&nbsp;isPlayer()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#isPlayer--">Actor</a></code></span></div>
<div class="block">Return whether this actor is a player.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#isPlayer--">isPlayer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a player</dd>
</dl>
</li>
</ul>
<a name="getGameMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGameMode</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/gamemode/GameMode.html" title="class in com.sk89q.worldedit.world.gamemode">GameMode</a>&nbsp;getGameMode()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getGameMode--">Player</a></code></span></div>
<div class="block">Return this actor's game mode.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#getGameMode--">getGameMode</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the game mode</dd>
</dl>
</li>
</ul>
<a name="setGameMode-com.sk89q.worldedit.world.gamemode.GameMode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGameMode</h4>
<pre>public&nbsp;void&nbsp;setGameMode(<a href="../../../../../com/sk89q/worldedit/world/gamemode/GameMode.html" title="class in com.sk89q.worldedit.world.gamemode">GameMode</a>&nbsp;gameMode)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#setGameMode-com.sk89q.worldedit.world.gamemode.GameMode-">Player</a></code></span></div>
<div class="block">Sets the player to the given game mode.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#setGameMode-com.sk89q.worldedit.world.gamemode.GameMode-">setGameMode</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gameMode</code> - The game mode</dd>
</dl>
</li>
</ul>
<a name="clone--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clone</h4>
<pre>public&nbsp;java.lang.Object&nbsp;clone()
                       throws java.lang.CloneNotSupportedException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.CloneNotSupportedException</code></dd>
</dl>
</li>
</ul>
<a name="remove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;boolean&nbsp;remove()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Entity.html#remove--">Entity</a></code></span></div>
<div class="block">Remove this entity from it container.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Entity.html#remove--">remove</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if removal was successful</dd>
</dl>
</li>
</ul>
<a name="sendFakeBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockStateHolder-">
<!--   -->
</a><a name="sendFakeBlock-com.sk89q.worldedit.math.BlockVector3-B-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>sendFakeBlock</h4>
<pre>public&nbsp;&lt;B extends <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;&nbsp;void&nbsp;sendFakeBlock(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos,
                                                          B&nbsp;block)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#sendFakeBlock-com.sk89q.worldedit.math.BlockVector3-B-">Player</a></code></span></div>
<div class="block">Sends a fake block to the client.

 <p>
     This block isn't real.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html#sendFakeBlock-com.sk89q.worldedit.math.BlockVector3-B-">sendFakeBlock</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pos</code> - The position of the block</dd>
<dd><code>block</code> - The block to send, null to reset</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlatform.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html" target="_top">Frames</a></li>
<li><a href="AbstractPlayerActor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
